> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relace.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Repo Token Details

> Retrieve details about a specific repo token

## Path Parameters

<ParamField path="token" type="string" required>
  The repo token string to retrieve details for
</ParamField>

## Response

<ResponseField name="name" type="string">
  The name of the repo token
</ResponseField>

<ResponseField name="repo_ids" type="array">
  Array of repository UUIDs this token has access to
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://api.relace.run/v1/repo_token/rlcr-a1b2c3d4e5f67890abcdef1234567890abcdef12
  ```

  ```typescript TypeScript SDK theme={null}
  import { Relace } from "@relace-ai/relace";

  const client = new Relace({ apiKey: "YOUR_API_KEY" });

  const token = "rlcr-a1b2c3d4e5f67890abcdef1234567890abcdef12";
  const data = await client.repoToken.get(token);
  console.log(data);
  ```

  ```python Python SDK theme={null}
  from relace import Relace

  client = Relace(api_key = "YOUR_API_KEY")

  token = "rlcr-a1b2c3d4e5f67890abcdef1234567890abcdef12"
  data = client.repo_token.get(token)
  print(data)
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "name": "my-token",
    "repo_ids": [
      "123e4567-e89b-12d3-a456-426614174000",
      "987fcdeb-51a2-43f7-b123-456789abcdef"
    ]
  }
  ```
</ResponseExample>
